h39727
s 00062/00000/00000
d D 1.1 83/03/23 16:19:49 bog 1 0
c date and time created 83/03/23 16:19:49 by bog
e
u
4
U
t
T
I 1
#############################################################################
#									    #
#	This material is confidential and is furnished under		    #
#	a written license agreement.  It may not be used,		    #
#	copied or disclosed to others except in accordance		    #
#	with the terms of that agreement.				    #
#									    #
#	Copyright (C) 1982 Graphic Software Systems, Inc.		    #
#	All rights reserved.						    #
#									    #
#############################################################################
#									    #
#	Function:  							    #
#		Subroutine EmPFul ()					    #
#		    Handle PageFull					    #
#									    #
#	Called By:							    #
#									    #
#	Routines Called:						    #
#									    #
#############################################################################
 
Subroutine EmPFul
CHARACTER Ch
 
CHARACTER EmIKb			# Get a keyboard character
External EmIKb
 
BEGINCOMMON
COMMON(STRAPS)
ENDCOMMON
 
If (PFBrk) {			# BREAK on Pagefull
  Call EmOCom(BREAK)
  }
 
If (PFHdCp) {			# HARCOPY on Pagefull
  Call EmCopy
  }
 
Ch = EMPTY			# Force EMPTY in case not PFWait
 
If (PFWait) {			# Await RELEASE on Pagefull
  While (Ch == EMPTY) {		# Get non-EMPTY character
    Ch = EmIKb(Ch)		#  from keyboard
    }
  If (Ch == PAGE) {		# Clear screen if PAGE
    Call EmPage
    }
   Else {
    If (Ch != RELEASE) {	# Push back anything other than RELEASE, PAGE
      Call EmPKb(Ch)		#  so EmPoll will see it
      }
    }
  }
 
If ((PFPage) & (Ch != PAGE)) {	# PAGE on Pagefull, unless already done
  Call EmPage			# Clear the screen
  }
 
Return
End
E 1
